| OpenZWave Library 1.6.0

Public Member Functions | List of all members
OpenZWave::SimpleHTTPClient::POST Class Reference
Basic HTTP(s) Client

This class is used for Posting data to a HTTP(s) server. More...

`#include <HttpClient.h>`

## Public Member Functions
void | reserve (size_t res)
POST & | add (const char *key, const char *value)
const char * | c_str () const
const std::string & | str () const
bool | empty () const
size_t | length () const

## Detailed Description

This class is used for Posting data to a HTTP(s) server.

Post some data to a HTTP(s) server

## Member Function Documentation

## ◆ add()

POST& OpenZWave::SimpleHTTPClient::POST::add | ( | const char * | key,
|  | const char * | value
| ) |  |

## ◆ c_str()

const char* OpenZWave::SimpleHTTPClient::POST::c_str | ( |  | ) | const
| inline

## ◆ empty()

bool OpenZWave::SimpleHTTPClient::POST::empty | ( |  | ) | const
| inline

## ◆ length()

size_t OpenZWave::SimpleHTTPClient::POST::length | ( |  | ) | const
| inline

## ◆ reserve()

void OpenZWave::SimpleHTTPClient::POST::reserve | ( | size_t | res | ) |
| inline

## ◆ str()

const std::string& OpenZWave::SimpleHTTPClient::POST::str | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- HttpClient.h